# Uses of Class
org.apache.zookeeper.server.ServerConfig

Packages that use ServerConfig
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.controller
org.apache.zookeeper.server.util

## Uses of ServerConfig in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server with parameters of type ServerConfig
Modifier and Type
Method
Description
`void`
ZooKeeperServerMain.`runFromConfig(ServerConfig config)`
Run from a ServerConfig.

## Uses of ServerConfig in org.apache.zookeeper.server.controller

Methods in org.apache.zookeeper.server.controller that return ServerConfig
Modifier and Type
Method
Description
`ServerConfig`
ControllerServerConfig.`getZooKeeperServerConfig()`

## Uses of ServerConfig in org.apache.zookeeper.server.util

Constructors in org.apache.zookeeper.server.util with parameters of type ServerConfig
Modifier
Constructor
Description
``
`JvmPauseMonitor(ServerConfig config)`